﻿var pageChanged = false;

function checkPageChanged() {
    return checkChanged(pageChanged, "Values on this page have changed.\r\nClick OK to continue and lose changes.");
}

function confirmDelete(deleteText) {
    return confirm("Are you sure you want to delete\r\n" + deleteText + "?");
}

function trim(stringToTrim) {
    return stringToTrim.replace(/^\s+|\s+$/g, "");
}

function checkChanged(varToCheck, messageCheck) {
    var retVal = true;
    if (varToCheck) {
        retVal = confirm(messageCheck);
    }
    return retVal;
}

function changeTextboxValue(changedObjectName) {
    // If the pageLoaded variable has been updated, then make the change.
    if (pageLoaded) {
        pageChanged = true;
        document.getElementById(changedObjectName).style.backgroundColor = "#ffff00";
    }
}

function isNumeric(value) {
    return ((value == null || !value.toString().match(/^[-]?\d*\.?\d*$/)) ? false : true);
}

// Limit to two decimal places
function isMoney(value) {
    return ((value == null || !value.toString().match(/^[-]?(?:\d+\.?\d{0,2}|\d*)$/)) ? false : true);
}