﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Settings.ascx.cs" Inherits="Scoreboard.WebServices.resources.Controls.Settings" %>
<script type="text/javascript" language="javascript">
    function checkForm() {
        return true;
    }
    function colorChanged(sender) {
        changeTextboxValue(sender.get_element().name);
    }
</script>
    <table border="0">
    <tr>
        <td valign="bottom" rowspan="2"><img src="./images/config_settings.png" width="64" height="64" alt="Forecast Configuration" class="floatLeft"/></td>
        <td><h1 class="ControlTop">Scoreboard Settings</h1></td>
    </tr>
    <tr>
        <td valign="top" align="center">
        <strong><asp:Label ID="lblSettingsMessage" runat="server" Text="" CssClass="errorMessage" />&nbsp;</strong>
        </td>
    </tr>
    </table>
    <asp:DataGrid ID="dgSettings" BorderWidth="0" AutoGenerateColumns="False" runat="server" OnItemDataBound="dgSettings_ItemDataBound" >
        <Columns>
        <asp:TemplateColumn HeaderText="Setting Name" HeaderStyle-Font-Bold="true" HeaderStyle-BackColor="#d0d0d0" ItemStyle-Font-Bold="true">
            <ItemTemplate><%# this.FixSettingLabel(DataBinder.Eval(Container, "DataItem.Name").ToString()) %>
                <asp:HiddenField ID="TypeName" Value='<%# DataBinder.Eval(Container, "DataItem.Name") %>' runat="server" />
                <asp:HiddenField ID="TypeID" Value='<%# DataBinder.Eval(Container, "DataItem.TypeID") %>' runat="server" />
                <asp:HiddenField ID="SettingTypeID" Value='<%# DataBinder.Eval(Container, "DataItem.SettingTypeID") %>' runat="server" />
            </ItemTemplate>
        </asp:TemplateColumn>
        <asp:BoundColumn DataField="Description" HeaderText="Description" HeaderStyle-BackColor="#d0d0d0" HeaderStyle-Font-Bold="true" />
        <asp:TemplateColumn HeaderText="Value" HeaderStyle-Font-Bold="true" HeaderStyle-BackColor="#d0d0d0" ItemStyle-HorizontalAlign="Right">
            <ItemTemplate>
                <asp:PlaceHolder ID="typeTextInput" runat="server">
                    <asp:Panel ID="pnlSampleColor" style="width:18px;height:18px;border:1px solid #000;margin:0 3px;float:right;" Visible="false" runat="server"/>
                    <asp:TextBox ID="txtSettingValue" CssClass="TextboxNumeric" Text='<%# DataBinder.Eval(Container, "DataItem.Value") %>' onchange="javascript:changeTextboxValue(this.name);" runat="server" />
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="typeDropDown" visible="false" runat="server">
                    <asp:DropDownList ID="ddlSettingValue" CssClass="TextboxNumeric" runat="server" />
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="typeTimeInput" visible="false" runat="server">
                    <asp:DropDownList ID="ddlSettingHours" CssClass="TextboxNumeric" runat="server" />:
                    <asp:DropDownList ID="ddlSettingMinutes" CssClass="TextboxNumeric" runat="server" />
                </asp:PlaceHolder>
            </ItemTemplate>
        </asp:TemplateColumn>
        </Columns>
    </asp:DataGrid>
    <div style="background-color:#fff;padding-bottom:10px;">
        <asp:Button ID="btnSave" OnClick="btnSave_Click" Text="Save" class="button floatRight" runat="server"/>
        <asp:Button ID="btnRefresh" OnClick="btnRefresh_Click" OnClientClick="return checkPageChanged()" Text="Reload Settings" class="button floatRight" runat="server"/>
    </div>
    